import java.util.Arrays;

class TemplateMethodMain {
    public static void main(String[] args) {
        System.out.println("Wzorzec Metoda szablonowa, zmiana opcji transportu");
        Arrays.asList(new BreaksSensor(), new EngineSensor())
                .forEach(VehicleSensor::activate);

    }
}
